From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/samri/
Date: Wed, 26 Jan 2022 17:48:38 +0000 (UTC) [thread overview]
Message-ID: <1643219304.1d39e474755e118738efb60eb467eefdfe25c026.andrewammerlaan@gentoo> (raw)
commit: 1d39e474755e118738efb60eb467eefdfe25c026
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 26 17:48:24 2022 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Jan 26 17:48:24 2022 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=1d39e474
sci-biology/samri: bump python compat
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
sci-biology/samri/samri-0.5.ebuild | 21 ++++++++++-----------
1 file changed, 10 insertions(+), 11 deletions(-)
diff --git a/sci-biology/samri/samri-0.5.ebuild b/sci-biology/samri/samri-0.5.ebuild
index 84161f65f..1633aa23f 100644
--- a/sci-biology/samri/samri-0.5.ebuild
+++ b/sci-biology/samri/samri-0.5.ebuild
@@ -1,25 +1,25 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7..8} )
+PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1 prefix
DESCRIPTION="Small Animal Magnetic Resonance Imaging"
HOMEPAGE="https://github.com/IBT-FMI/SAMRI"
SRC_URI="https://github.com/IBT-FMI/SAMRI/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/SAMRI-${PV}"
LICENSE="GPL-3"
SLOT="0"
-IUSE="+atlases labbookdb test"
KEYWORDS="~amd64"
-RESTRICT="!test? ( test )"
+IUSE="+atlases labbookdb"
+REQUIRED_USE="test? ( atlases )"
DEPEND="
test? (
- dev-python/pytest[${PYTHON_USEDEP}]
sci-biology/samri_bidsdata
sci-biology/samri_bindata
)
@@ -48,14 +48,13 @@ RDEPEND="
sci-biology/nilearn[${PYTHON_USEDEP}]
"
-REQUIRED_USE="test? ( atlases )"
-
-S="${WORKDIR}/SAMRI-${PV}"
+distutils_enable_tests pytest
+distutils_enable_sphinx doc/source dev-python/sphinxcontrib-napoleon
src_prepare() {
distutils-r1_src_prepare
- sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI \'/usr/ samri`
- sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI /usr/ test_scripts.sh`
+ sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI \'/usr/ samri` || die
+ sed -i -e "s:/usr:@GENTOO_PORTAGE_EPREFIX@/usr:g" `grep -rlI /usr/ test_scripts.sh` || die
eprefixify $(grep -rl GENTOO_PORTAGE_EPREFIX samri/* test_scripts.sh)
}
@@ -68,5 +67,5 @@ python_test() {
sed -i -e \
"/def test_bru2bids():/i@pytest.mark.skip('Removed in full test suite, as this is already tested in `test_scripts.sh`')" \
samri/pipelines/tests/test_repos.py || die
- pytest -vv -k "not longtime" || die
+ epytest -k "not longtime"
}
next reply other threads:[~2022-01-26 17:48 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-26 17:48 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-02-16 2:11 [gentoo-commits] proj/sci:master commit in: sci-biology/samri/ Horea Christian
2023-05-02 23:58 Horea Christian
2023-05-02 12:34 Andrew Ammerlaan
2023-05-02 12:34 Andrew Ammerlaan
2023-05-02 1:03 Horea Christian
2023-04-11 2:06 Horea Christian
2023-04-06 6:43 Horea Christian
2023-04-06 6:43 Horea Christian
2023-04-06 6:43 Horea Christian
2023-04-05 21:42 Horea Christian
2023-01-12 10:22 Horea Christian
2022-07-12 13:38 Horea Christian
2022-05-18 4:11 Horea Christian
2022-04-25 19:05 Horea Christian
2022-01-26 17:48 Andrew Ammerlaan
2021-01-03 5:22 Horea Christian
2020-12-24 11:00 Horea Christian
2020-09-27 9:31 Horea Christian
2020-09-27 8:35 Horea Christian
2019-12-08 14:54 Horea Christian
2019-04-28 2:00 Horea Christian
2019-01-17 21:24 Horea Christian
2019-01-17 21:23 Horea Christian
2019-01-14 17:39 Horea Christian
2019-01-12 12:43 Horea Christian
2019-01-06 15:52 Horea Christian
2019-01-06 15:09 Horea Christian
2019-01-06 14:52 Horea Christian
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1643219304.1d39e474755e118738efb60eb467eefdfe25c026.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox